### Signal

# Phosh AppTracker::app-failed

#### Declaration

    void
    app_failed (
      PhoshAppTracker* self,
      GAppInfo* app_info,
      gchar* app_id,
      gpointer user_data
    )

#### Description [src]

The app failed to launch.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`app_info`

  Type: `GAppInfo`

  The `GAppInfo` of the application that failed to launch.

  The data is owned by the caller of the function.

`app_id`

  Type: `gchar*`

  The startup-id of the application that failed to launch.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.